Subject: Re: Missing a write memory barrier in tls_init()

From: "Dae R. Jeong" <[email-masked]>
Date: Tue, 7 Nov 2023 17:07:03 +0900

Hi, Jakub,

Thank you for your reply.

On Mon, Nov 06, 2023 at 02:36:59PM -0800, Jakub Kicinski wrote:
> On Thu, 2 Nov 2023 16:11:29 +0900 Dae R. Jeong wrote:
> > In addition, I believe the {tls_setsockopt, tls_getsockopt}
> > implementation is fine because of the address dependency. I think
> > load-load reordering is prohibited in this case so we don't need a
> > read barrier.
> 
> Sounds plausible, could you send a patch?

Sure. I am doing something else today, so I will send a patch tomorrow
or the day after tomorrow.

> The smb_wmb() would be better placed in tls_init(), IMHO.

It sounds better. I will write a patch in that way.

Best regards,
Dae R. Jeong